/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-29
 * 描述            ：工器具-轧辊修磨实绩
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevRollerGrindingMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_ROLLER_GRINDING", namespace=DevRollerGrindingMapper.class)
public class DevRollerGrinding extends BaseVO implements Serializable {
	
	private String machine_name;
	
	
	public String getMachine_name() {
		return machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}


	private Double grd_thick;//磨削量
	
	public Double getGrd_thick() {
		return grd_thick;
	}
	public void setGrd_thick(Double grd_thick) {
		this.grd_thick = grd_thick;
	}

	
	/** 
	 * 修磨记录号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 轧辊编号
	 */ 
	@Column
	private String roller_no;
	public String getRoller_no() {
		return this.roller_no;
	}
	public void setRoller_no(String roller_no) {
		this.roller_no = roller_no;
	}

	/** 
	 * 制造编号
	 */ 
	@Column
	private String manufacturer_no;
	public String getManufacturer_no() {
		return this.manufacturer_no;
	}
	public void setManufacturer_no(String manufacturer_no) {
		this.manufacturer_no = manufacturer_no;
	}

	/** 
	 * 修磨序号（次数，1 - N）
	 */ 
	@Column
	private Long grd_sqc;
	public Long getGrd_sqc() {
		return this.grd_sqc;
	}
	public void setGrd_sqc(Long grd_sqc) {
		this.grd_sqc = grd_sqc;
	}

	/** 
	 * 机架号
	 */ 
	@Column
	private String stand_id;
	public String getStand_id() {
		return this.stand_id;
	}
	public void setStand_id(String stand_id) {
		this.stand_id = stand_id;
	}

	/** 
	 * 轧辊类型（W：工作辊、B：支承辊、I：中间辊）
	 */ 
	@Column
	private String roller_type;
	public String getRoller_type() {
		return this.roller_type;
	}
	public void setRoller_type(String roller_type) {
		this.roller_type = roller_type;
	}

	/** 
	 * 轧辊类别（0：平辊、1：凸辊、2 ：SmartCrown辊）
	 */ 
	@Column
	private String roller_class;
	public String getRoller_class() {
		return this.roller_class;
	}
	public void setRoller_class(String roller_class) {
		this.roller_class = roller_class;
	}

	/** 
	 * 轧辊位置（T：上辊、B：下辊）
	 */ 
	@Column
	private String roller_position;
	public String getRoller_position() {
		return this.roller_position;
	}
	public void setRoller_position(String roller_position) {
		this.roller_position = roller_position;
	}

	/** 
	 * 辊型代码
	 */ 
	@Column
	private String profile_code;
	public String getProfile_code() {
		return this.profile_code;
	}
	public void setProfile_code(String profile_code) {
		this.profile_code = profile_code;
	}

	/** 
	 * 辊型名称
	 */ 
	@Column
	private String profile_name;
	public String getProfile_name() {
		return this.profile_name;
	}
	public void setProfile_name(String profile_name) {
		this.profile_name = profile_name;
	}

	/** 
	 * 砂轮代码
	 */ 
	@Column
	private String dress_code;
	public String getDress_code() {
		return this.dress_code;
	}
	public void setDress_code(String dress_code) {
		this.dress_code = dress_code;
	}

	/** 
	 * 砂轮轮廓高度
	 */ 
	@Column
	private Double dress_height;
	public Double getDress_height() {
		return this.dress_height;
	}
	public void setDress_height(Double dress_height) {
		this.dress_height = dress_height;
	}

	/** 
	 * 磨床代码
	 */ 
	@Column
	private String grinder_code;
	public String getGrinder_code() {
		return this.grinder_code;
	}
	public void setGrinder_code(String grinder_code) {
		this.grinder_code = grinder_code;
	}

	/** 
	 * 磨床名称
	 */ 
	@Column
	private String grinder_name;
	public String getGrinder_name() {
		return this.grinder_name;
	}
	public void setGrinder_name(String grinder_name) {
		this.grinder_name = grinder_name;
	}

	/** 
	 * 修磨程序代码
	 */ 
	@Column
	private String program_code;
	public String getProgram_code() {
		return this.program_code;
	}
	public void setProgram_code(String program_code) {
		this.program_code = program_code;
	}

	/** 
	 * 修磨程序名称
	 */ 
	@Column
	private String program_name;
	public String getProgram_name() {
		return this.program_name;
	}
	public void setProgram_name(String program_name) {
		this.program_name = program_name;
	}

	/** 
	 * 送修日期
	 */ 
	@Column
	private String str_date;
	public String getStr_date() {
		return this.str_date;
	}
	public void setStr_date(String str_date) {
		this.str_date = str_date;
	}

	/** 
	 * 返回日期
	 */ 
	@Column
	private String rtn_date;
	public String getRtn_date() {
		return this.rtn_date;
	}
	public void setRtn_date(String rtn_date) {
		this.rtn_date = rtn_date;
	}

	/** 
	 * 修磨工一
	 */ 
	@Column
	private String grd_opr01;
	public String getGrd_opr01() {
		return this.grd_opr01;
	}
	public void setGrd_opr01(String grd_opr01) {
		this.grd_opr01 = grd_opr01;
	}

	/** 
	 * 修磨工二
	 */ 
	@Column
	private String grd_opr02;
	public String getGrd_opr02() {
		return this.grd_opr02;
	}
	public void setGrd_opr02(String grd_opr02) {
		this.grd_opr02 = grd_opr02;
	}

	/** 
	 * 修磨工三
	 */ 
	@Column
	private String grd_opr03;
	public String getGrd_opr03() {
		return this.grd_opr03;
	}
	public void setGrd_opr03(String grd_opr03) {
		this.grd_opr03 = grd_opr03;
	}

	/** 
	 * 修磨前使用次数（用于数据撤回）
	 */ 
	@Column
	private Long cur_use_times;
	public Long getCur_use_times() {
		return this.cur_use_times;
	}
	public void setCur_use_times(Long cur_use_times) {
		this.cur_use_times = cur_use_times;
	}

	/** 
	 * 修磨前轧制里程数（km，用于数据撤回）
	 */ 
	@Column
	private Double cur_rll_len;
	public Double getCur_rll_len() {
		return this.cur_rll_len;
	}
	public void setCur_rll_len(Double cur_rll_len) {
		this.cur_rll_len = cur_rll_len;
	}

	/** 
	 * 修磨前轧制吨数（吨，用于数据撤回）
	 */ 
	@Column
	private Double cur_rll_wgt;
	public Double getCur_rll_wgt() {
		return this.cur_rll_wgt;
	}
	public void setCur_rll_wgt(Double cur_rll_wgt) {
		this.cur_rll_wgt = cur_rll_wgt;
	}

	/** 
	 * 修磨前辊径（mm）
	 */ 
	@Column
	private Double bfr_roller_dia;
	public Double getBfr_roller_dia() {
		return this.bfr_roller_dia;
	}
	public void setBfr_roller_dia(Double bfr_roller_dia) {
		this.bfr_roller_dia = bfr_roller_dia;
	}

	/** 
	 * 修磨前辊重（kg）
	 */ 
	@Column
	private Double bfr_roller_wgt;
	public Double getBfr_roller_wgt() {
		return this.bfr_roller_wgt;
	}
	public void setBfr_roller_wgt(Double bfr_roller_wgt) {
		this.bfr_roller_wgt = bfr_roller_wgt;
	}

	/** 
	 * 修磨前密度
	 */ 
	@Column
	private Double bfr_density;
	public Double getBfr_density() {
		return this.bfr_density;
	}
	public void setBfr_density(Double bfr_density) {
		this.bfr_density = bfr_density;
	}

	/** 
	 * 修磨前粗糙度（Ra）
	 */ 
	@Column
	private Double bfr_roughness;
	public Double getBfr_roughness() {
		return this.bfr_roughness;
	}
	public void setBfr_roughness(Double bfr_roughness) {
		this.bfr_roughness = bfr_roughness;
	}

	/** 
	 * 修磨前硬度（HS）
	 */ 
	@Column
	private Double bfr_hardness;
	public Double getBfr_hardness() {
		return this.bfr_hardness;
	}
	public void setBfr_hardness(Double bfr_hardness) {
		this.bfr_hardness = bfr_hardness;
	}

	/** 
	 * 修磨前曲线误差
	 */ 
	@Column
	private Double bfr_roll_profile;
	public Double getBfr_roll_profile() {
		return this.bfr_roll_profile;
	}
	public void setBfr_roll_profile(Double bfr_roll_profile) {
		this.bfr_roll_profile = bfr_roll_profile;
	}

	/** 
	 * 修磨前圆度
	 */ 
	@Column
	private Double bfr_roundness;
	public Double getBfr_roundness() {
		return this.bfr_roundness;
	}
	public void setBfr_roundness(Double bfr_roundness) {
		this.bfr_roundness = bfr_roundness;
	}

	/** 
	 * 修磨前同轴度
	 */ 
	@Column
	private Double bfr_runout;
	public Double getBfr_runout() {
		return this.bfr_runout;
	}
	public void setBfr_runout(Double bfr_runout) {
		this.bfr_runout = bfr_runout;
	}

	/** 
	 * 修磨前凸度（mm）
	 */ 
	@Column
	private Double bfr_convexity;
	public Double getBfr_convexity() {
		return this.bfr_convexity;
	}
	public void setBfr_convexity(Double bfr_convexity) {
		this.bfr_convexity = bfr_convexity;
	}

	/** 
	 * 修磨前最大凸度（mm）
	 */ 
	@Column
	private Double bfr_convexity_max;
	public Double getBfr_convexity_max() {
		return this.bfr_convexity_max;
	}
	public void setBfr_convexity_max(Double bfr_convexity_max) {
		this.bfr_convexity_max = bfr_convexity_max;
	}

	/** 
	 * 修磨前最小凸度（mm）
	 */ 
	@Column
	private Double bfr_convexity_min;
	public Double getBfr_convexity_min() {
		return this.bfr_convexity_min;
	}
	public void setBfr_convexity_min(Double bfr_convexity_min) {
		this.bfr_convexity_min = bfr_convexity_min;
	}

	/** 
	 * 修磨前辊锥长度（mm）
	 */ 
	@Column
	private Double bfr_cone_len;
	public Double getBfr_cone_len() {
		return this.bfr_cone_len;
	}
	public void setBfr_cone_len(Double bfr_cone_len) {
		this.bfr_cone_len = bfr_cone_len;
	}

	/** 
	 * 修磨前辊锥高度（mm）
	 */ 
	@Column
	private Double bfr_cone_hgt;
	public Double getBfr_cone_hgt() {
		return this.bfr_cone_hgt;
	}
	public void setBfr_cone_hgt(Double bfr_cone_hgt) {
		this.bfr_cone_hgt = bfr_cone_hgt;
	}

	/** 
	 * 修磨前支承辊倒角长度
	 */ 
	@Column
	private Double bfr_brollc_length;
	public Double getBfr_brollc_length() {
		return this.bfr_brollc_length;
	}
	public void setBfr_brollc_length(Double bfr_brollc_length) {
		this.bfr_brollc_length = bfr_brollc_length;
	}

	/** 
	 * 修磨前支承辊倒角深度
	 */ 
	@Column
	private Double bfr_brollc_deepth;
	public Double getBfr_brollc_deepth() {
		return this.bfr_brollc_deepth;
	}
	public void setBfr_brollc_deepth(Double bfr_brollc_deepth) {
		this.bfr_brollc_deepth = bfr_brollc_deepth;
	}

	/** 
	 * 修磨前软点
	 */ 
	@Column
	private Double bfr_soft_point;
	public Double getBfr_soft_point() {
		return this.bfr_soft_point;
	}
	public void setBfr_soft_point(Double bfr_soft_point) {
		this.bfr_soft_point = bfr_soft_point;
	}

	/** 
	 * 修磨前裂点
	 */ 
	@Column
	private Double bfr_crack;
	public Double getBfr_crack() {
		return this.bfr_crack;
	}
	public void setBfr_crack(Double bfr_crack) {
		this.bfr_crack = bfr_crack;
	}

	/** 
	 * 修磨后辊径（mm）
	 */ 
	@Column
	private Double aft_roller_dia;
	public Double getAft_roller_dia() {
		return this.aft_roller_dia;
	}
	public void setAft_roller_dia(Double aft_roller_dia) {
		this.aft_roller_dia = aft_roller_dia;
	}

	/** 
	 * 修磨后辊重（kg）
	 */ 
	@Column
	private Double aft_roller_wgt;
	public Double getAft_roller_wgt() {
		return this.aft_roller_wgt;
	}
	public void setAft_roller_wgt(Double aft_roller_wgt) {
		this.aft_roller_wgt = aft_roller_wgt;
	}

	/** 
	 * 修磨后密度
	 */ 
	@Column
	private Double aft_density;
	public Double getAft_density() {
		return this.aft_density;
	}
	public void setAft_density(Double aft_density) {
		this.aft_density = aft_density;
	}

	/** 
	 * 修磨后粗糙度（Ra）
	 */ 
	@Column
	private Double aft_roughness;
	public Double getAft_roughness() {
		return this.aft_roughness;
	}
	public void setAft_roughness(Double aft_roughness) {
		this.aft_roughness = aft_roughness;
	}

	/** 
	 * 修磨后硬度（HS）
	 */ 
	@Column
	private Double aft_hardness;
	public Double getAft_hardness() {
		return this.aft_hardness;
	}
	public void setAft_hardness(Double aft_hardness) {
		this.aft_hardness = aft_hardness;
	}

	/** 
	 * 修磨后曲线误差
	 */ 
	@Column
	private Double aft_roll_profile;
	public Double getAft_roll_profile() {
		return this.aft_roll_profile;
	}
	public void setAft_roll_profile(Double aft_roll_profile) {
		this.aft_roll_profile = aft_roll_profile;
	}

	/** 
	 * 修磨后圆度
	 */ 
	@Column
	private Double aft_roundness;
	public Double getAft_roundness() {
		return this.aft_roundness;
	}
	public void setAft_roundness(Double aft_roundness) {
		this.aft_roundness = aft_roundness;
	}

	/** 
	 * 修磨后同轴度
	 */ 
	@Column
	private Double aft_runout;
	public Double getAft_runout() {
		return this.aft_runout;
	}
	public void setAft_runout(Double aft_runout) {
		this.aft_runout = aft_runout;
	}

	/** 
	 * 修磨后凸度（mm）
	 */ 
	@Column
	private Double aft_convexity;
	public Double getAft_convexity() {
		return this.aft_convexity;
	}
	public void setAft_convexity(Double aft_convexity) {
		this.aft_convexity = aft_convexity;
	}

	/** 
	 * 修磨后最大凸度（mm）
	 */ 
	@Column
	private Double aft_convexity_max;
	public Double getAft_convexity_max() {
		return this.aft_convexity_max;
	}
	public void setAft_convexity_max(Double aft_convexity_max) {
		this.aft_convexity_max = aft_convexity_max;
	}

	/** 
	 * 修磨后最小凸度（mm）
	 */ 
	@Column
	private Double aft_convexity_min;
	public Double getAft_convexity_min() {
		return this.aft_convexity_min;
	}
	public void setAft_convexity_min(Double aft_convexity_min) {
		this.aft_convexity_min = aft_convexity_min;
	}

	/** 
	 * 修磨后辊锥长度（mm）
	 */ 
	@Column
	private Double aft_cone_len;
	public Double getAft_cone_len() {
		return this.aft_cone_len;
	}
	public void setAft_cone_len(Double aft_cone_len) {
		this.aft_cone_len = aft_cone_len;
	}

	/** 
	 * 修磨后辊锥高度（mm）
	 */ 
	@Column
	private Double aft_cone_hgt;
	public Double getAft_cone_hgt() {
		return this.aft_cone_hgt;
	}
	public void setAft_cone_hgt(Double aft_cone_hgt) {
		this.aft_cone_hgt = aft_cone_hgt;
	}

	/** 
	 * 修磨后支承辊倒角长度
	 */ 
	@Column
	private Double aft_brollc_length;
	public Double getAft_brollc_length() {
		return this.aft_brollc_length;
	}
	public void setAft_brollc_length(Double aft_brollc_length) {
		this.aft_brollc_length = aft_brollc_length;
	}

	/** 
	 * 修磨后支承辊倒角深度
	 */ 
	@Column
	private Double aft_brollc_deepth;
	public Double getAft_brollc_deepth() {
		return this.aft_brollc_deepth;
	}
	public void setAft_brollc_deepth(Double aft_brollc_deepth) {
		this.aft_brollc_deepth = aft_brollc_deepth;
	}

	/** 
	 * 修磨后软点
	 */ 
	@Column
	private Double aft_soft_point;
	public Double getAft_soft_point() {
		return this.aft_soft_point;
	}
	public void setAft_soft_point(Double aft_soft_point) {
		this.aft_soft_point = aft_soft_point;
	}

	/** 
	 * 修磨后裂点
	 */ 
	@Column
	private Double aft_crack;
	public Double getAft_crack() {
		return this.aft_crack;
	}
	public void setAft_crack(Double aft_crack) {
		this.aft_crack = aft_crack;
	}

	/** 
	 * 原始辊径（mm）
	 */ 
	@Column
	private Double dia_init;
	public Double getDia_init() {
		return this.dia_init;
	}
	public void setDia_init(Double dia_init) {
		this.dia_init = dia_init;
	}

	/** 
	 * 报废辊径（mm）
	 */ 
	@Column
	private Double dia_scrap;
	public Double getDia_scrap() {
		return this.dia_scrap;
	}
	public void setDia_scrap(Double dia_scrap) {
		this.dia_scrap = dia_scrap;
	}

	/** 
	 * 金额（元）
	 */ 
	@Column
	private Double amount_money;
	public Double getAmount_money() {
		return this.amount_money;
	}
	public void setAmount_money(Double amount_money) {
		this.amount_money = amount_money;
	}

	/** 
	 * 残值（元）
	 */ 
	@Column
	private Double residual_value;
	public Double getResidual_value() {
		return this.residual_value;
	}
	public void setResidual_value(Double residual_value) {
		this.residual_value = residual_value;
	}

	/** 
	 * 折算成本
	 */ 
	@Column
	private Double converted_cost;
	public Double getConverted_cost() {
		return this.converted_cost;
	}
	public void setConverted_cost(Double converted_cost) {
		this.converted_cost = converted_cost;
	}

	/** 
	 * 修磨费用
	 */ 
	@Column
	private Double amount_grd;
	public Double getAmount_grd() {
		return this.amount_grd;
	}
	public void setAmount_grd(Double amount_grd) {
		this.amount_grd = amount_grd;
	}

	/** 
	 * 赔偿金额（修磨厂家提供赔偿）
	 */ 
	@Column
	private Double amount_cps;
	public Double getAmount_cps() {
		return this.amount_cps;
	}
	public void setAmount_cps(Double amount_cps) {
		this.amount_cps = amount_cps;
	}

	/** 
	 * 鉴定结果（1：合格、0：不合格）
	 */ 
	@Column
	private String check_result;
	public String getCheck_result() {
		return this.check_result;
	}
	public void setCheck_result(String check_result) {
		this.check_result = check_result;
	}

	/** 
	 * 鉴定人
	 */ 
	@Column
	private String check_opr;
	public String getCheck_opr() {
		return this.check_opr;
	}
	public void setCheck_opr(String check_opr) {
		this.check_opr = check_opr;
	}

	/** 
	 * 处置完毕（1：是、0：否）
	 */ 
	@Column
	private String disposal_done;
	public String getDisposal_done() {
		return this.disposal_done;
	}
	public void setDisposal_done(String disposal_done) {
		this.disposal_done = disposal_done;
	}

	/** 
	 * 最终处置结果（0：可用、1：重修、9：报废）
	 */ 
	@Column
	private String disposal_result;
	public String getDisposal_result() {
		return this.disposal_result;
	}
	public void setDisposal_result(String disposal_result) {
		this.disposal_result = disposal_result;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
